Ubuntu

remove any reference to mirror ftp.caliu.info

Reported by Alex Muntada on 2008-05-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Software Updater
New
Undecided
Unassigned
python-apt (Debian)
Fix Released
Unknown
python-apt (Ubuntu)
Undecided
Michael Vogt
Hardy
Undecided
Unassigned
update-manager (Ubuntu)
Medium
Michael Vogt
Hardy
Wishlist
Unassigned

Bug Description

Binary package hint: update-manager

TEST CASE:
1. a regression test is enough, this fix has no conceptual changes

Domain caliu.info was replaced by caliu.cat a while ago and a new archive mirror was registered in launchpad recently:
https://launchpad.net/ubuntu/+mirror/ftp.caliu.cat-archive

The new URL was recently added in dist-upgrader mirrors.cfg, however the old caliu.info is still present too:
http://archive.ubuntu.com/ubuntu/dists/hardy-proposed/main/dist-upgrader-all/0.87.27/hardy.tar.gz

Could you please remove any reference to the old ftp.caliu.info and replace it with ftp.caliu.cat where needed?

Thanks a lot!

Changed in update-manager:
importance: Undecided → Wishlist
status: New → Confirmed
assignee: nobody → mvo
importance: Undecided → Medium
status: New → Confirmed
Michael Vogt (mvo) on 2008-06-03
Changed in update-manager:
status: Confirmed → Fix Committed
status: Confirmed → Fix Committed
Michael Vogt (mvo) on 2008-06-20
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.91.5

---------------
update-manager (1:0.91.5) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - support "old-releases.ubuntu.com" as a valid mirror and
      auto transition from that to the regular archive
      (LP: #235527)
    - add extra paraonoia when adding a missing admin group
      (thanks to LaMont Jones) LP: #241723
  * UpdateManager/ChangelogViewer.py:
    - support "exo-open" (xfce) too (LP: #240473)
  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * DistUpgrade/DistUpgradeController.py:
    - fix typo and unfuzzy translations (LP: #220505)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - remove ports.ubuntu.com from powerpc, it is not available on
      ports.ubuntu.com but on archive.ubuntu.com (LP: #241729)

 -- Michael Vogt <email address hidden> Fri, 20 Jun 2008 20:02:50 +0200

Changed in update-manager:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Alex Muntada (alex.muntada) wrote :

Okay, ftp.caliu.info has been removed from mirrors.cfg in:
http://archive.ubuntu.com/ubuntu/dists/hardy-proposed/main/dist-upgrader-all/0.87.29/hardy.tar.gz

However, following your advice I just installed a fresh 8.04.1 on a virtual machine, updated with latest -proposed packages and update-manager still shows ftp.caliu.info instead of ftp.caliu.cat in Software Sources app. This is how I find it:

 - System > Administration > Software Sources
 - Ubuntu Software > Download from: > Other... > Spain > ftp.caliu.info

HTH

Michael Vogt (mvo) wrote :

Hi Alex, thanks for testing the update. The reason why the caliu.info is still in is that:
https://edge.launchpad.net/ubuntu/+mirror/ftp-caliu-info

still has it as a valid and up-to-date mirror. At least that is what
https://edge.launchpad.net/ubuntu/+archivemirrors
claims. That looks like a bug in the mirror prober to me.

Martin Pitt (pitti) wrote :

Copied to hardy-updates. It has been verified that the new update-manager can successfully upgrade 7.10 to 8.04 without noticeable regressions. Unfortunately it could not be verified from a third party that this bug is really fixed, but we strongly believe it is. If you still have problems, please report back here. Thank you!

Changed in update-manager:
status: Fix Committed → Fix Released
Alex Muntada (alex.muntada) wrote :

Just sent a message to Guilherme Salgado, the owner of that mirror on edge.

Guilherme Salgado (salgado) wrote :

I don't know how the mirror ended up on https://edge.launchpad.net/ubuntu/+archivemirrors but it's not there anymore. I also made sure it never shows up there again.

Alex Muntada (alex.muntada) wrote :

Digging in the software-properties source package I finally found the culprit (so to speak): python-apt still has a list of ftp.caliu.info mirrors (both in Debian and Ubuntu) that should be replaced by the ftp.caliu.cat counterparts. So, I downloaded the latest python-apt I found in a.u.c and this is what I found:

$ dpkg-deb -x python-apt_0.7.7.1ubuntu2_i386.deb .
$ grep -r caliu python-apt
./usr/share/python-apt/templates/Ubuntu.mirrors:http://ftp.caliu.info/pub/distribucions/ubuntu/ubuntu/
./usr/share/python-apt/templates/Debian.mirrors:ftp://ftp.caliu.info/debian/
./usr/share/python-apt/templates/Debian.mirrors:http://ftp.caliu.info/debian/

Therefore, I guess this should be fixed in hardy and intrepid, and maybe dapper.

Thanks!

Alex Muntada (alex.muntada) wrote :

Sorry, a made a typo:

$ grep -r caliu .

Martin Pitt (pitti) wrote :

Thank you! Michael, should be an easy fix. However, why does python-apt have a mirror list in the first place? Shouldn't apt and python-apt be totally ignorant about host names and all that ?

Changed in python-apt:
assignee: nobody → mvo
status: New → Triaged
Changed in python-apt:
status: Unknown → New
Julian Andres Klode (juliank) wrote :

Has been fixed in version 0.7.10.3ubuntu1

python-apt (0.7.10.3ubuntu1) karmic; urgency=low

  * merged from debian, remaining changes:
    - updated mirrors
    - build python2.4
    - use DH_PYCENTRAL=include-links
    - use --install-layout=deb
    - pre-build.sh: update ubuntu mirrors on bzr-buildpackage

 -- Michael Vogt <email address hidden> Tue, 05 May 2009 12:03:27 +0200

And even more in 0.10.4ubuntu1, which contains the merged 0.10.4:
python-apt (0.7.10.4) unstable; urgency=low

  [ Michael Vogt ]
  * data/templates/Ubuntu.info.in:
    - updated for the new ubuntu karmic version
  * data/templates/Debian.info.in:
    - add squeeze

  [ Otavio Salvador ]
  * utils/get_debian_mirrors.py: updated to support current mirror page.
  * Update Debian mirrors. (Closes: #518071)

 -- Michael Vogt <email address hidden> Tue, 05 May 2009 12:03:27 +0200

Changed in python-apt (Ubuntu):
status: Triaged → Fix Released
Changed in python-apt (Debian):
status: New → Fix Released
Alex Muntada (alex.muntada) wrote :

The old ftp.caliu.info is still present in update-manager branch (also update-manager-core_0.132_i386.deb):

http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main/annotate/head%3A/DistUpgrade/mirrors.cfg

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.